Subject: Re: bug#58220: global-linum-mode emacs29

From: Colin Baxter <[email-masked]>
Date: Sat, 01 Oct 2022 14:08:04 +0100

>>>>> Gwang-Jin Kim <[email-masked]> writes:

    > deactivating or removing `global-linum-mode` is a stupid idea, in
    > my view.  One has to correct packages which are not workign any
    > more emacs29.  Please add global-linum-mode back into emacs29 -
    > for backwards compatibility reasons.

I've put a copy of linum.el in my own lisp directory (together with
other soon-to-be or already-been obsoleted libraries). I then have
that directory sourced early in the load-path. That way I'll not be
affected when the axe finally falls.

Best wishes,